<?php
namespace Incoviba\nuevo\Proyecto;

use Incoviba\Common\Alias\NewModel;

/**
 * 
 * @author Aldarien
 * @property int id
 * @property string descripcion
 * @property int orden
 * @property Etapa etapa_id
 *
 */
class TipoEstadoProyecto extends NewModel
{
	protected static $_table = 'tipo_estado_proyectos';
	
	public function etapa()
	{
		return $this->belongsTo(Etapa::class, 'etapa_id')->findOne();
	}
    
    public function estados()
    {
    	return $this->hasMany(EstadoProyecto::class, 'estado_id')->findMany();
    }    
}
